pskb_expand_head
Prev | Socket Buffer Functions | Next

## Name

pskb_expand_head — reallocate header of &sk_buff

## Synopsis

`int pskb_expand_head (` | struct sk_buff * | skb,
| int | nhead,
| int | ntail,
| gfp_t | gfp_mask`)`;

## Arguments

`skb`

  buffer to reallocate

`nhead`

  room to add at head

`ntail`

  room to add at tail

`gfp_mask`

  allocation priority

## Description

Expands (or creates identical copy, if &nhead and &ntail are zero) header of skb. &sk_buff itself is not changed. &sk_buff MUST have reference count of 1. Returns zero in the case of success or error, if expansion failed. In the last case, &sk_buff is not changed.

All the pointers pointing into skb header may change and must be reloaded after call to this function.

Prev | Up | Next
pskb_copy | Home | skb_copy_expand